//--------------------------------------------------------------------
//
// Definitionen fuer Iglu Verkaufsautomat
//
//--------------------------------------------------------------------

`ifdef IGLU_MULTICOIN_CHANGE_DEFS_V
`else
`define IGLU_MULTICOIN_CHANGE_DEFS_V

  // Zustandscodierung
  parameter INSERT_COINS = 2'b00, // Warten auf Muenzeinwurf
            ICECREAM = 2'b01,     // Eisausgabe
            CHANGE = 2'b10,       // Wechselmuenze ausgeben
            WAIT = 2'b11;         // Warten zwischen Muenzausgaben

  // Eingabecodierung
  parameter X0   = 3'b000, // kein Einwurf
            X10  = 3'b001, // Zehner
            X20  = 3'b010, // Zwanziger
            X50  = 3'b011, // Fuenfziger
            X100 = 3'b100, // Euro
            X200 = 3'b101; // Zwei Euro

  // Ausgabecodierung
  parameter Yes = 1'b1,   // Warenausgabe
            No = 1'b0;    // keine Ausgabe

  // Preis fuer ein Eis
  parameter Price = 13;   // Einheit 10 Cent

`endif
